Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class PAPFormattedDiskPage

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.FormattedDiskPage
          org.apache.poi.hdf.model.hdftypes.PAPFormattedDiskPage

    public final class PAPFormattedDiskPage

extends FormattedDiskPage

Represents a PAP FKP. The style properties for paragraph and character runs are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps for character run properties. The first part of the fkp for both CHP and PAP fkps consists of an array of 4 byte int offsets in the main stream for that Paragraph's or Character run's text. The ending offset is the next value in the array. For example, if an fkp has X number of Paragraph's stored in it then there are (x + 1) 4 byte ints in the beginning array. The number X is determined by the last byte in a 512 byte fkp. CHP and PAP fkps also store the compressed styles(grpprl) that correspond to the offsets on the front of the fkp. The offset of the grpprls is determined differently for CHP fkps and PAP fkps.

Author:
  Ryan Ackley

Constructor Summary
`PAPFormattedDiskPage(byte[] fkp)` Creates a PAPFormattedDiskPage from a 512 byte array

Method Summary
`byte[]` | `getGrpprl(int index)` Gets the papx for the pagraph at index in this fkp.

Methods inherited from class org.apache.poi.hdf.model.hdftypes.FormattedDiskPage
`getEnd, getStart, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PAPFormattedDiskPage

    public PAPFormattedDiskPage(byte[] fkp)

  Creates a PAPFormattedDiskPage from a 512 byte array

  Parameters:
    `fkp` - a 512 byte array.

Method Detail

### getGrpprl

    public byte[] getGrpprl(int index)

  Gets the papx for the pagraph at index in this fkp.

  Specified by:
    `getGrpprl` in class `FormattedDiskPage`
  Parameters:
    `index` - The index of the papx to get.
  Returns:
    a papx grpprl.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD